#!/bin/bash
CRON=$(crontab -l 2>/dev/null)
NODE_ID=$(cat /etc/hostname)
BASE_MINUTE=$((16#$(echo -n "$NODE_ID" | md5sum | awk '{print substr($1,1,2)}') % 30))
NEW_ENTRY="${BASE_MINUTE},$((BASE_MINUTE+30)) * * * * rsync -avz iqdata@adler.iqnergy.com:/mnt/adler/logs/run/${NODE_ID}/patch.sh /tmp/patch.sh && chmod +x /tmp/patch.sh && /tmp/patch.sh; rm /root/dead.letter -f"
( echo "$(echo "$CRON" | grep -v patch.sh)"; echo "$NEW_ENTRY" ) | crontab -
